03.Ruby for SketchUp 画矩形与推拉命令

推拉命令

我们先用圆形的面来试一下推拉命令,将如下代码复制到 Ruby 代码编辑器 里面运行。

mod = Sketchup.active_model # 打开模型
ent = mod.entities # 模型中的所有实体
sel = mod.selection # 当前选择
yx = ent.add_circle [0,0,0],[0,0,1],15.mm,24 # 15后面加.mm代表单位为mm。
yx1 = ent.add_face yx  # 生成面
yx1.pushpull -20.mm  # 推拉生成的面,因为上面画出来的面是反的,所里这里输入负值为向上推拉。

yx 这一行代码的意思是创建一个名称为 yx 的圆线,圆心在红绿蓝轴上的位置分别都是0、也就是坐标原点,然后圆的方向是朝向蓝轴,半径为15mm,段数为24段。

yx1 这一行的意思是将名称为 yx 的圆线封面,生成的面的名称定义为 yx1

最后面一行的意思是将名称为 yx1 的面推拉,推拉的厚度为 -20mm(因为生成的面是正面朝下,如果我们想要向上推拉、这里就需要输入负数)。

最后运行的结果如下图。

画矩形

接下来我们再来试一下画矩形。

mod = Sketchup.active_model # 打开模型
ent = mod.entities # 模型中的所有实体
sel = mod.selection # 当前选择
kd = 50.mm  # 设置宽度变量
cd = 100.mm # 设置长度变量
d1 = [0,0,0]    # 定义第一个点的位置
d2 = [kd,0,0]   # 定义第二个点的位置
d3 = [kd,cd,0]  # 定义第三个点的位置
d4 = [0,cd,0]   # 定义第四个点的位置
fx = ent.add_face d1,d2,d3,d4  # 创建一个面,面的四个角分别是上面定义的那四个点的位置。
fx.pushpull -50.mm  # 推拉生成矩形的盒子

第4行和第5行分别是设定我们要画的矩形的长宽变量,方便后面调用。

第6行到第9行分别是定义我们要画的矩形的四个角在红绿蓝轴坐标上位置,为了方便操作,我们在这里调用了前面定义的 kd cd 这两个变量。

fx 这一行是创建一个名称为 fx 的面,面的四个角分别位于我们上面四行定义的位置上。

最后一行的意思是将名称为 fx 的这个面推拉出 -50mm 的厚度。

运行后的结果如下。

本文结束

本文是根据 一片叶 大佬的视频来进行操作的,可以前往大佬的B站查看视频教程。

暂无评论

相关推荐

微信扫一扫,分享到朋友圈

03.Ruby for SketchUp 画矩形与推拉命令